Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.resolvers
Class Resolvable

    java.lang.Object
      org.eclipse.swtbot.swt.finder.resolvers.Resolvable

All Implemented Interfaces:
  IResolvable

Direct Known Subclasses:
  DefaultChildrenResolver, DefaultParentResolver

    public class Resolvable

extends Object
implements IResolvable

Finds a resolver that can resolve the parent anc children of a widget.

Version:
  $Id$
Author:
  Ketan Padegaonkar <KetanPadegaonkar [at] gmail [dot] com>

Field Summary
`protected Resolver` | `resolver` The resolver

Constructor Summary
`Resolvable()` Create a resolvable instance, with some default resolvers.
`Resolvable(Resolver resolver)` Creates a resolvable using the given resolvable item.

Method Summary
`boolean` | `canResolve(Widget w)` Returns `true` if any of the resolvers can resolve the widget.
`Class<?>[]` | `getResolvableClasses()` Gets the complete list of widget types that this object can resolve.
`Resolver` | `getResolver()` Gets the resolver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resolver

    protected Resolver resolver

  The resolver

Constructor Detail

### Resolvable

    public Resolvable()

  Create a resolvable instance, with some default resolvers.

### Resolvable

    public Resolvable(Resolver resolver)

  Creates a resolvable using the given resolvable item. It is recommended that the default construction be used.

  Parameters:
    `resolver` - the resolver

Method Detail

### canResolve

    public boolean canResolve(Widget w)

  Returns `true` if any of the resolvers can resolve the widget.

  Specified by:
    `canResolve` in interface `IResolvable`
  Parameters:
    `w` - The widget to resolve.
  Returns:
    `true` if any of the resolvers can resolve the widget. Otherwise `false`.
  See Also:
    `IResolvable.canResolve(org.eclipse.swt.widgets.Widget)`

### getResolvableClasses

    public Class<?>[] getResolvableClasses()

  Gets the complete list of widget types that this object can resolve.

  Specified by:
    `getResolvableClasses` in interface `IResolvable`
  Returns:
    the types that this resolver can resolve

### getResolver

    public Resolver getResolver()

  Gets the resolver.

  Returns:
    the resolver.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD